<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:dt="http://www.thymeleaf.org/dandelion/datatables">
<head lang="en">
<meta charset="UTF-8" />
<title data-th-text="#{trainingschemes.edit}">Weiterbildungsordnung bearbeiten</title>
<link rel="stylesheet" href="/styles.css" data-th-href="@{/styles.css}" />
</head>
<body>
	<header>
		<p data-th-replace="fragments/nav::nav" />
	</header>
	<main>
	<form method="post" data-th-action="@{/training/trainingschemes/update}" data-th-object="${trainingScheme}">
		<input type="hidden" data-th-field="*{id}" />
		<fieldset>
			<legend data-th-text="#{trainingschemes.coredata}">Allgemeine Daten</legend>
			<th:block data-th-replace="fragments/forms::text(field='name')" />
			<th:block data-th-replace="fragments/forms::longText(field='description')" />
		</fieldset>
		<p data-th-replace="fragments/snippets::save" />
	</form>

	<table class="datatable">
		<caption data-th-text="#{trainingschemesegments.overview}">Weiterbildungsabschnitte</caption>
		<thead>
			<tr>
				<th></th>
				<th></th>
				<th data-th-text="#{trainingschemesegments.medicalfield}">Fachgebiet</th>
				<th data-th-each="treatmentType: ${treatmentTypes}" data-th-text="#{${treatmentType}}" />
				<th data-th-text="#{trainingschemesegments.duration}">Dauer</th>
			</tr>
		</thead>
		<tbody>
			<tr data-th-each="segment: ${trainingScheme.trainingSchemeSegments}">
				<td><p data-th-replace="fragments/snippets::edit('/training/trainingschemes/__${trainingScheme.id}__/trainingschemesegments', ${segment.id})" /></td>
				<td />
				<td data-th-text="${segment.medicalField.name}">Fachgebiet</td>
				<th:block data-th-each="treatmentType: ${treatmentTypes}">
					<td data-th-if="${#lists.contains(segment.permittedTreatmentTypes, treatmentType)}">erlaubt</td>
					<td data-th-unless="${#lists.contains(segment.permittedTreatmentTypes, treatmentType)}">nicht erlaubt</td>
				</th:block>
				<td data-th-text="${segment.duration}">Dauer</td>
			</tr>
		</tbody>
		<tfoot>
			<tr>
				<td colspan="6"><a data-th-href="@{/training/trainingschemes/{id}/trainingschemesegments/create(id=*{id})}" data-th-text="#{trainingschemesegments.create}">neuen Weiterbildungsabschnitt hinzufügen</a></td>
			</tr>
		</tfoot>
	</table>

	</main>
</body>
</html>